Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.ui.conditions
Class ConditionsTableItem

    java.lang.Object
      edu.stanford.smi.protegex.owl.ui.conditions.ConditionsTableItem

All Implemented Interfaces:
  ConditionsTableConstants, Comparable

    public class ConditionsTableItem

extends Object
implements ConditionsTableConstants, Comparable

An object representing an entry in the table. One instance is kept for each row.

Author:
  Holger Knublauch

Field Summary
`protected RDFSClass` | `aClass`
`static String` | `INHERITED`
`static String` | `NECESSARY`
`static String` | `SUFFICIENT`

Fields inherited from interface edu.stanford.smi.protegex.owl.ui.conditions.ConditionsTableConstants
`COL_COUNT, COL_EXPRESSION, TYPE_DEFINITION_BASE, TYPE_INHERITED, TYPE_SUPERCLASS`

Constructor Summary
`protected` | `ConditionsTableItem(RDFSClass aClass, int type, OWLNamedClass originCls, OWLIntersectionClass definition, boolean isNew)`

Method Summary
`int` | `compareTo(Object o)` Sorts according to the following order: 1) Equivalent classes > superclasses > inherited superclasses 2) NamedClasses by name 3) Anonymous classes > restrictions 4) Restrictions by slot name
`protected static ConditionsTableItem` | `create(RDFSClass aClass, int type)`
`protected static ConditionsTableItem` | `createInherited(RDFSClass aClass, OWLNamedClass originCls)`
`protected static ConditionsTableItem` | `createNew(int type)`
`protected static ConditionsTableItem` | `createSeparator(int type)`
`protected static ConditionsTableItem` | `createSufficient(RDFSClass aClass, int type, OWLIntersectionClass definition)`
`void` | `dispose()`
`RDFSClass` | `getCls()`
`protected OWLIntersectionClass` | `getDefinition()`
`protected Icon` | `getIcon(int rowHeight)`
`OWLNamedClass` | `getOriginCls()`
`protected static Icon` | `getSuperclassIcon()`
`protected int` | `getType()`
`protected boolean` | `isDefinition()`
`protected boolean` | `isInherited()`
`protected boolean` | `isNew()`
`protected boolean` | `isSeparator()`
`protected void` | `setType(int value)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### aClass

    protected RDFSClass aClass

### INHERITED

    public static final String INHERITED

See Also:
  Constant Field Values

### NECESSARY

    public static final String NECESSARY

See Also:
  Constant Field Values

### SUFFICIENT

    public static final String SUFFICIENT

See Also:
  Constant Field Values

Constructor Detail

### ConditionsTableItem

    protected ConditionsTableItem(RDFSClass aClass,
                                  int type,
                                  OWLNamedClass originCls,
                                  OWLIntersectionClass definition,
                                  boolean isNew)

Method Detail

### dispose

    public void dispose()

### compareTo

    public int compareTo(Object o)

  Sorts according to the following order: 1) Equivalent classes > superclasses > inherited superclasses 2) NamedClasses by name 3) Anonymous classes > restrictions 4) Restrictions by slot name

  Specified by:
    `compareTo` in interface `Comparable`
  Parameters:
    `o` - the other ClassDescriptionItem to compare to
  Returns:
    -1 if this is smaller (higher in the list), 1 if the other is smaller

### create

    protected static ConditionsTableItem create(RDFSClass aClass,
                                                int type)

### createInherited

    protected static ConditionsTableItem createInherited(RDFSClass aClass,
                                                         OWLNamedClass originCls)

### createNew

    protected static ConditionsTableItem createNew(int type)

### createSufficient

    protected static ConditionsTableItem createSufficient(RDFSClass aClass,
                                                          int type,
                                                          OWLIntersectionClass definition)

### createSeparator

    protected static ConditionsTableItem createSeparator(int type)

### getCls

    public RDFSClass getCls()

### getDefinition

    protected OWLIntersectionClass getDefinition()

### getIcon

    protected Icon getIcon(int rowHeight)

### getOriginCls

    public OWLNamedClass getOriginCls()

### getSuperclassIcon

    protected static Icon getSuperclassIcon()

### getType

    protected int getType()

### isDefinition

    protected boolean isDefinition()

### isInherited

    protected boolean isInherited()

### isNew

    protected boolean isNew()

### isSeparator

    protected boolean isSeparator()

### setType

    protected void setType(int value)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2012 Stanford University.